Entur Developer
Products

replacing

Server

Retrieves all replacings

GET
https://api.entur.io/products
/replacing

Retrieves all replacings › query Parameters

orgId
​string · style: form · explode: true

The unique id to identify an organisation

fareFrameId
​string · style: form · explode: true

The unique id to identify a dataset to an organisation

minimizeDataLoad
​boolean · style: form · explode: true

Retrieves all replacings › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves all replacings › Responses

Returns the info

​Replacing[]
A Replacing
changed
​string · readOnly · required

Changed datetime

created
​string · readOnly · required

Created datetime

​VersionOfObjectRef · required

Fare frame ref.

​VersionOfObjectRef[] · required

References for associated fare table.

id
​string · minLength: 1 · required

Id.

Example: NSB:Replacing:SomeId
modification
​string · enum · readOnly · required

Modification status

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly · required

Name of class

Example: Replacing
status
​string · enum · readOnly · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · required

The version of the replacing.

Example: ENT:Version:SomeVersion
allowed
​string · enum

Allowed.

Enum values:
NONE
PARTIAL
FULL
canChangeClass
​boolean

Whether user can change class.

compatibleWithVersionRef
​string · readOnly

Compatible with version.

derivedFromVersionRef
​string · readOnly

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

exchangeableFromAnyTime
​boolean

Can be exchanged or refunded from any point after purchase.

exchangeableFromDuration
​string

Exchangeable from duration.

Example: PT24H
exchangeableUntilAnyTime
​boolean

Can be exchanged or refunded until any point after purchase.

exchangeableUntilDuration
​string

Exchangeable until duration.

hasFee
​boolean

Has fee.

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

onlyAtCertainDistributionPoints
​boolean

Whether distribution is restricted to certain points.

​FarePrice[]

Fare prices for the replacing.

refundBasis
​string · enum

Basis on which refund is made. See allowed values below.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
resellWhen
​string · enum

Event marking when the exchangeable status of the ticket changes.

Enum values:
NEVER
BEFORE_START_OF_VALIDITY_PERIOD
AFTER_START_OF_VALIDITY_PERIOD
AFTER_END_OF_VALIDITY_PERIOD
BEFORE_FIRST_USE
AFTER_FIRST_USE
BEFORE_VALIDATION
AFTER_VALIDATION
Example: NEVER
typeOfUsageParameter
​string

typeOfUsageParameter.

unusedTicketsOnly
​boolean

Unused tickets only.

​ValidityCondition[]

Gives a sequence of conditions for validity.


Create a Replacing

POST
https://api.entur.io/products
/replacing

Create a Replacing › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a Replacing › Request Body

A Replacing
changed
​string · readOnly · required

Changed datetime

created
​string · readOnly · required

Created datetime

​VersionOfObjectRef · required

Fare frame ref.

​VersionOfObjectRef[] · required

References for associated fare table.

id
​string · minLength: 1 · required

Id.

Example: NSB:Replacing:SomeId
modification
​string · enum · readOnly · required

Modification status

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly · required

Name of class

Example: Replacing
status
​string · enum · readOnly · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · required

The version of the replacing.

Example: ENT:Version:SomeVersion
allowed
​string · enum

Allowed.

Enum values:
NONE
PARTIAL
FULL
canChangeClass
​boolean

Whether user can change class.

compatibleWithVersionRef
​string · readOnly

Compatible with version.

derivedFromVersionRef
​string · readOnly

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

exchangeableFromAnyTime
​boolean

Can be exchanged or refunded from any point after purchase.

exchangeableFromDuration
​string

Exchangeable from duration.

Example: PT24H
exchangeableUntilAnyTime
​boolean

Can be exchanged or refunded until any point after purchase.

exchangeableUntilDuration
​string

Exchangeable until duration.

hasFee
​boolean

Has fee.

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

onlyAtCertainDistributionPoints
​boolean

Whether distribution is restricted to certain points.

​FarePrice[]

Fare prices for the replacing.

refundBasis
​string · enum

Basis on which refund is made. See allowed values below.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
resellWhen
​string · enum

Event marking when the exchangeable status of the ticket changes.

Enum values:
NEVER
BEFORE_START_OF_VALIDITY_PERIOD
AFTER_START_OF_VALIDITY_PERIOD
AFTER_END_OF_VALIDITY_PERIOD
BEFORE_FIRST_USE
AFTER_FIRST_USE
BEFORE_VALIDATION
AFTER_VALIDATION
Example: NEVER
typeOfUsageParameter
​string

typeOfUsageParameter.

unusedTicketsOnly
​boolean

Unused tickets only.

​ValidityCondition[]

Gives a sequence of conditions for validity.

Create a Replacing › Responses

Entity created successfully

No data returned

Retrieves replacing for id and version

GET
https://api.entur.io/products
/replacing/{id}/{version}

Retrieves replacing for id and version › path Parameters

id
​string · required · style: simple

The id to identify a Replacing

version
​string · required · style: simple

The id for the version of the Replacing

Retrieves replacing for id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves replacing for id and version › Responses

Returns the info

A Replacing
changed
​string · readOnly · required

Changed datetime

created
​string · readOnly · required

Created datetime

​VersionOfObjectRef · required

Fare frame ref.

​VersionOfObjectRef[] · required

References for associated fare table.

id
​string · minLength: 1 · required

Id.

Example: NSB:Replacing:SomeId
modification
​string · enum · readOnly · required

Modification status

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly · required

Name of class

Example: Replacing
status
​string · enum · readOnly · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · required

The version of the replacing.

Example: ENT:Version:SomeVersion
allowed
​string · enum

Allowed.

Enum values:
NONE
PARTIAL
FULL
canChangeClass
​boolean

Whether user can change class.

compatibleWithVersionRef
​string · readOnly

Compatible with version.

derivedFromVersionRef
​string · readOnly

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

exchangeableFromAnyTime
​boolean

Can be exchanged or refunded from any point after purchase.

exchangeableFromDuration
​string

Exchangeable from duration.

Example: PT24H
exchangeableUntilAnyTime
​boolean

Can be exchanged or refunded until any point after purchase.

exchangeableUntilDuration
​string

Exchangeable until duration.

hasFee
​boolean

Has fee.

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

onlyAtCertainDistributionPoints
​boolean

Whether distribution is restricted to certain points.

​FarePrice[]

Fare prices for the replacing.

refundBasis
​string · enum

Basis on which refund is made. See allowed values below.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
resellWhen
​string · enum

Event marking when the exchangeable status of the ticket changes.

Enum values:
NEVER
BEFORE_START_OF_VALIDITY_PERIOD
AFTER_START_OF_VALIDITY_PERIOD
AFTER_END_OF_VALIDITY_PERIOD
BEFORE_FIRST_USE
AFTER_FIRST_USE
BEFORE_VALIDATION
AFTER_VALIDATION
Example: NEVER
typeOfUsageParameter
​string

typeOfUsageParameter.

unusedTicketsOnly
​boolean

Unused tickets only.

​ValidityCondition[]

Gives a sequence of conditions for validity.


Updates an existing Replacing

PUT
https://api.entur.io/products
/replacing/{id}/{version}

Updates an existing Replacing › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a Replacing

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the Replacing

Updates an existing Replacing › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Updates an existing Replacing › Request Body

A Replacing
changed
​string · readOnly · required

Changed datetime

created
​string · readOnly · required

Created datetime

​VersionOfObjectRef · required

Fare frame ref.

​VersionOfObjectRef[] · required

References for associated fare table.

id
​string · minLength: 1 · required

Id.

Example: NSB:Replacing:SomeId
modification
​string · enum · readOnly · required

Modification status

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly · required

Name of class

Example: Replacing
status
​string · enum · readOnly · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · required

The version of the replacing.

Example: ENT:Version:SomeVersion
allowed
​string · enum

Allowed.

Enum values:
NONE
PARTIAL
FULL
canChangeClass
​boolean

Whether user can change class.

compatibleWithVersionRef
​string · readOnly

Compatible with version.

derivedFromVersionRef
​string · readOnly

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

exchangeableFromAnyTime
​boolean

Can be exchanged or refunded from any point after purchase.

exchangeableFromDuration
​string

Exchangeable from duration.

Example: PT24H
exchangeableUntilAnyTime
​boolean

Can be exchanged or refunded until any point after purchase.

exchangeableUntilDuration
​string

Exchangeable until duration.

hasFee
​boolean

Has fee.

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

onlyAtCertainDistributionPoints
​boolean

Whether distribution is restricted to certain points.

​FarePrice[]

Fare prices for the replacing.

refundBasis
​string · enum

Basis on which refund is made. See allowed values below.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
resellWhen
​string · enum

Event marking when the exchangeable status of the ticket changes.

Enum values:
NEVER
BEFORE_START_OF_VALIDITY_PERIOD
AFTER_START_OF_VALIDITY_PERIOD
AFTER_END_OF_VALIDITY_PERIOD
BEFORE_FIRST_USE
AFTER_FIRST_USE
BEFORE_VALIDATION
AFTER_VALIDATION
Example: NEVER
typeOfUsageParameter
​string

typeOfUsageParameter.

unusedTicketsOnly
​boolean

Unused tickets only.

​ValidityCondition[]

Gives a sequence of conditions for validity.

Updates an existing Replacing › Responses

Entity updated successfully

No data returned

Delete an existing replacing

DELETE
https://api.entur.io/products
/replacing/{id}/{version}

Delete an existing replacing › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a Replacing

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the Replacing

Delete an existing replacing › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete an existing replacing › Responses

Entity deleted successfully

No data returned

Did you find what you were looking for?